#!../../bin/linux-x86/Hy8506example

< envPaths

cd ${TOP}

dbLoadDatabase "dbd/Hy8506example.dbd"
Hy8506example_registerRecordDeviceDriver pdbbase

#ipacAddHyRTEMS9010("1,4,0")		#for IOC9010 with RTEMS
#ipacAddHyLinux9010("99,1")			#for IOC9010 with Linux
#ipacAddHy8002Concurrent("3,2")  	#for VME 8002/8004 with Concurrent CPU

# ipacAddHyLinux9010(cardID, /* uTCA ID set by jumpers. 0 ~31 */
# intNum)					 /* Not used, normal 0 */
ipacAddHyLinux9010("2,0")			#for uTCA 7002/7003

# Hy8506Configure(cardnum, /* card number */
# carrier, 		  /* carrier number */
# ipslot, 		  /* IP slot */
# vector)		  /* vector */
Hy8506Configure(71, 0, 0, 0x88)

#Hy8506PortConfig(cardnum, /* card number */
# port, 		  /* port number. 0~2*/
# debrate, 		  /* debounce rate. 0~3 for 100Hz, 200Hz, 500Hz, 1kHz */
# pwidth,		  /* pulse width (only for outputs). 0~9 for 1ms, 10ms, 100ms, 1s, 2s, 5s, 10s, 20s, 50s, 100s respectively */ 		  
# scanrate, 	  /* scanning rate (only for inputs). 0~3 for 1k, 10k, 100k, 1MHz respectively */
# dir, 			  /* direction. bit0: 0=input, 1=output, bit1: 0-no invert, 1=invert */
# clock, 		  /* clock source. 0=internal, 1=external */
# debmask, 		  /* debounce mask. 1=want debounce, 0=not to debounce */
# pmask, 		  /* pulse width mask. 1=pulse output, 0=level output */
# intmask)  	  /* interrupt mask. 1=allow interrupt, 0=inhibit interrupt */

Hy8506PortConfig(71, 0, 4, 3, 0, 0, 0, 0xFFFF, 0x0, 0xFFFF)
Hy8506PortConfig(71, 1, 4, 3, 0, 0, 0, 0xFFFF, 0x0, 0xFFFF)
Hy8506PortConfig(71, 2, 4, 3, 0, 0, 0, 0xFFFF, 0x0, 0xFFFF)

dbLoadRecords "db/8506-bi.db", "device=DI,cardNo=71"
#dbLoadRecords "db/8506-bo.db", "device=DO, cardNo=71"

cd ${TOP}/iocBoot/${IOC}
iocInit

